# GESTestClip

Useful for testing purposes.

## Asset

The default asset ID is GESTestClip, but the framerate and video size can be overridden using an ID of the form:

    framerate=60/1, width=1920, height=1080, max-duration=5.0

Note: `max-duration` can be provided in seconds as float, or as GstClockTime as guint64 or gint.

## GESTestClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESSourceClip
                            ╰──GESTestClip

### Members

`parent` (GESSourceClip) –
No description available

### Class structure

#### GESTestClipClass

### GES.TestClipClass

## GES.TestClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.TestClip

### Members

`parent` (GES.SourceClip) –
No description available

## GES.TestClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.SourceClip
                            ╰──GES.TestClip

### Members

`parent` (GES.SourceClip) –
No description available

### Constructors

#### ges_test_clip_new

    GESTestClip *
    ges_test_clip_new ()

Creates a new GESTestClip.

Returns ( [transfer: floating][nullable]) –

The newly created GESTestClip, or NULL if there was an error.

#### GES.TestClip.prototype.new

    function GES.TestClip.prototype.new(): {
        // javascript wrapper for 'ges_test_clip_new'
    }

Creates a new GES.TestClip.

Returns (GES.TestClip) –

The newly created GES.TestClip, or null if there was an error.

#### GES.TestClip.new

    def GES.TestClip.new ():
        #python wrapper for 'ges_test_clip_new'

Creates a new GES.TestClip.

Returns (GES.TestClip) –

The newly created GES.TestClip, or None if there was an error.

#### ges_test_clip_new_for_nick

    GESTestClip *
    ges_test_clip_new_for_nick (gchar * nick)

Creates a new GESTestClip for the provided nick.

Parameters:

`nick` –

the nickname for which to create the GESTestClip

Returns ( [transfer: floating][nullable]) –

The newly created GESTestClip, or NULL if there was an error.

#### GES.TestClip.prototype.new_for_nick

    function GES.TestClip.prototype.new_for_nick(nick: String): {
        // javascript wrapper for 'ges_test_clip_new_for_nick'
    }

Creates a new GES.TestClip for the provided nick.

Parameters:

`nick` (String) –

the nickname for which to create the GES.TestClip

Returns (GES.TestClip) –

The newly created GES.TestClip, or null if there was an error.

#### GES.TestClip.new_for_nick

    def GES.TestClip.new_for_nick (nick):
        #python wrapper for 'ges_test_clip_new_for_nick'

Creates a new GES.TestClip for the provided nick.

Parameters:

`nick` (str) –

the nickname for which to create the GES.TestClip

Returns (GES.TestClip) –

The newly created GES.TestClip, or None if there was an error.

### Methods

#### ges_test_clip_get_frequency

    gdouble
    ges_test_clip_get_frequency (GESTestClip * self)

Get the frequency self generates.

Parameters:

`self` –

a GESTestClip

Returns –

The frequency self generates. See audiotestsrc element.

#### GES.TestClip.prototype.get_frequency

    function GES.TestClip.prototype.get_frequency(): {
        // javascript wrapper for 'ges_test_clip_get_frequency'
    }

Get the frequency self generates.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (Number) –

The frequency self generates. See audiotestsrc element.

#### GES.TestClip.get_frequency

    def GES.TestClip.get_frequency (self):
        #python wrapper for 'ges_test_clip_get_frequency'

Get the frequency self generates.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (float) –

The frequency self generates. See audiotestsrc element.

#### ges_test_clip_get_volume

    gdouble
    ges_test_clip_get_volume (GESTestClip * self)

Get the volume of the test audio signal applied on self.

Parameters:

`self` –

a GESTestClip

Returns –

The volume of the test audio signal applied on self.

#### GES.TestClip.prototype.get_volume

    function GES.TestClip.prototype.get_volume(): {
        // javascript wrapper for 'ges_test_clip_get_volume'
    }

Get the volume of the test audio signal applied on self.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (Number) –

The volume of the test audio signal applied on self.

#### GES.TestClip.get_volume

    def GES.TestClip.get_volume (self):
        #python wrapper for 'ges_test_clip_get_volume'

Get the volume of the test audio signal applied on self.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (float) –

The volume of the test audio signal applied on self.

#### ges_test_clip_get_vpattern

    GESVideoTestPattern
    ges_test_clip_get_vpattern (GESTestClip * self)

Get the GESVideoTestPattern which is applied on self.

Parameters:

`self` –

a GESTestClip

Returns –

The GESVideoTestPattern which is applied on self.

#### GES.TestClip.prototype.get_vpattern

    function GES.TestClip.prototype.get_vpattern(): {
        // javascript wrapper for 'ges_test_clip_get_vpattern'
    }

Get the GES.VideoTestPattern which is applied on self.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (GES.VideoTestPattern) –

The GES.VideoTestPattern which is applied on self.

#### GES.TestClip.get_vpattern

    def GES.TestClip.get_vpattern (self):
        #python wrapper for 'ges_test_clip_get_vpattern'

Get the GES.VideoTestPattern which is applied on self.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (GES.VideoTestPattern) –

The GES.VideoTestPattern which is applied on self.

#### ges_test_clip_is_muted

    gboolean
    ges_test_clip_is_muted (GESTestClip * self)

Let you know if the audio track of self is muted or not.

Parameters:

`self` –

a GESTestClip

Returns –

Whether the audio track of self is muted or not.

#### GES.TestClip.prototype.is_muted

    function GES.TestClip.prototype.is_muted(): {
        // javascript wrapper for 'ges_test_clip_is_muted'
    }

Let you know if the audio track of self is muted or not.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (Number) –

Whether the audio track of self is muted or not.

#### GES.TestClip.is_muted

    def GES.TestClip.is_muted (self):
        #python wrapper for 'ges_test_clip_is_muted'

Let you know if the audio track of self is muted or not.

Parameters:

`self` (GES.TestClip) –

a GES.TestClip

Returns (bool) –

Whether the audio track of self is muted or not.

#### ges_test_clip_set_frequency

    ges_test_clip_set_frequency (GESTestClip * self,
                                 gdouble freq)

Sets the frequency to generate. See audiotestsrc element.

Parameters:

`self` –

the GESTestClip to set the frequency on

`freq` –

the frequency you want to use on self

#### GES.TestClip.prototype.set_frequency

    function GES.TestClip.prototype.set_frequency(freq: Number): {
        // javascript wrapper for 'ges_test_clip_set_frequency'
    }

Sets the frequency to generate. See audiotestsrc element.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip to set the frequency on

`freq` (Number) –

the frequency you want to use on self

#### GES.TestClip.set_frequency

    def GES.TestClip.set_frequency (self, freq):
        #python wrapper for 'ges_test_clip_set_frequency'

Sets the frequency to generate. See audiotestsrc element.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip to set the frequency on

`freq` (float) –

the frequency you want to use on self

#### ges_test_clip_set_mute

    ges_test_clip_set_mute (GESTestClip * self,
                            gboolean mute)

Sets whether the audio track of this clip is muted or not.

Parameters:

`self` –

the GESTestClip on which to mute or unmute the audio track

`mute` –

TRUE to mute the audio track, FALSE to unmute it

#### GES.TestClip.prototype.set_mute

    function GES.TestClip.prototype.set_mute(mute: Number): {
        // javascript wrapper for 'ges_test_clip_set_mute'
    }

Sets whether the audio track of this clip is muted or not.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip on which to mute or unmute the audio track

`mute` (Number) –

true to mute the audio track, false to unmute it

#### GES.TestClip.set_mute

    def GES.TestClip.set_mute (self, mute):
        #python wrapper for 'ges_test_clip_set_mute'

Sets whether the audio track of this clip is muted or not.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip on which to mute or unmute the audio track

`mute` (bool) –

True to mute the audio track, False to unmute it

#### ges_test_clip_set_volume

    ges_test_clip_set_volume (GESTestClip * self,
                              gdouble volume)

Sets the volume of the test audio signal.

Parameters:

`self` –

the GESTestClip to set the volume on

`volume` –

the volume of the audio signal you want to use on self

#### GES.TestClip.prototype.set_volume

    function GES.TestClip.prototype.set_volume(volume: Number): {
        // javascript wrapper for 'ges_test_clip_set_volume'
    }

Sets the volume of the test audio signal.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip to set the volume on

`volume` (Number) –

the volume of the audio signal you want to use on self

#### GES.TestClip.set_volume

    def GES.TestClip.set_volume (self, volume):
        #python wrapper for 'ges_test_clip_set_volume'

Sets the volume of the test audio signal.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip to set the volume on

`volume` (float) –

the volume of the audio signal you want to use on self

#### ges_test_clip_set_vpattern

    ges_test_clip_set_vpattern (GESTestClip * self,
                                GESVideoTestPattern vpattern)

Sets which video pattern to display on self.

Parameters:

`self` –

the GESTestClip to set the pattern on

`vpattern` –

the GESVideoTestPattern to use on self

#### GES.TestClip.prototype.set_vpattern

    function GES.TestClip.prototype.set_vpattern(vpattern: GES.VideoTestPattern): {
        // javascript wrapper for 'ges_test_clip_set_vpattern'
    }

Sets which video pattern to display on self.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip to set the pattern on

`vpattern` (GES.VideoTestPattern) –

the GES.VideoTestPattern to use on self

#### GES.TestClip.set_vpattern

    def GES.TestClip.set_vpattern (self, vpattern):
        #python wrapper for 'ges_test_clip_set_vpattern'

Sets which video pattern to display on self.

Parameters:

`self` (GES.TestClip) –

the GES.TestClip to set the pattern on

`vpattern` (GES.VideoTestPattern) –

the GES.VideoTestPattern to use on self

### Properties

#### freq

    “freq” gdouble

The frequency to generate for audio track elements.

Flags : Read / Write / Construct

#### freq

    “freq” Number

The frequency to generate for audio track elements.

Flags : Read / Write / Construct

#### freq

    “self.props.freq” float

The frequency to generate for audio track elements.

Flags : Read / Write / Construct

#### mute

    “mute” gboolean

Whether the sound will be played or not.

Flags : Read / Write / Construct

#### mute

    “mute” Number

Whether the sound will be played or not.

Flags : Read / Write / Construct

#### mute

    “self.props.mute” bool

Whether the sound will be played or not.

Flags : Read / Write / Construct

#### volume

    “volume” gdouble

The volume for the audio track elements.

Flags : Read / Write / Construct

#### volume

    “volume” Number

The volume for the audio track elements.

Flags : Read / Write / Construct

#### volume

    “self.props.volume” float

The volume for the audio track elements.

Flags : Read / Write / Construct

#### vpattern

    “vpattern” GESVideoTestPattern *

Video pattern to display in video track elements.

Flags : Read / Write / Construct

#### vpattern

    “vpattern” GES.VideoTestPattern

Video pattern to display in video track elements.

Flags : Read / Write / Construct

#### vpattern

    “self.props.vpattern” GES.VideoTestPattern

Video pattern to display in video track elements.

Flags : Read / Write / Construct

## Constants

### GES_TYPE_TEST_CLIP

    #define GES_TYPE_TEST_CLIP ges_test_clip_get_type()

The results of the search are